Bug 115363 - Deleting Root category
Summary: Deleting Root category
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: ui (Show other bugs)
(Show other bugs)
Version: 5.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-11 14:34 UTC by Nobuko Asakai
Modified: 2007-04-18 17:02 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:52:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
a one-line patch that removes special treatment of root categories (390 bytes, patch)
2004-03-03 15:14 UTC, Vadim Nasardinov
no flags Details | Diff
screenshot of the permission section for a non-root category (50.52 KB, image/png)
2004-03-03 15:15 UTC, Vadim Nasardinov
no flags Details
screenshot of the permission section for a root category (57.99 KB, image/png)
2004-03-03 15:17 UTC, Vadim Nasardinov
no flags Details

Description Nobuko Asakai 2004-02-11 14:34:38 UTC
Description of problem:
There's no protection against users deleting Root categories.

Version-Release number of selected component (if applicable):
5.2

How reproducible:
Always

Steps to Reproduce:
1. Log in as a CMS admin user
2. Delete the root category

  
Actual results:
The entire category tree is deleted with no warning.

Expected results:
There should be a warning informing the user what they are about to do. 

Additional info:

This issue is logged by Stoke On Trent.
https://enterprise.redhat.com/issue-tracker/?module=issues&action=view&tid=34407&gid=358

Comment 1 Nobuko Asakai 2004-02-11 18:04:55 UTC
Actually, the problem here is that the permission management pane is
not visible for the root category. If this was there, then the users
can mange the permissions better. 

Comment 2 Vadim Nasardinov 2004-03-03 15:14:36 UTC
Created attachment 98241 [details]
a one-line patch that removes special treatment of root categories

The permission section for the categories tab is implemented by
CategoryItemPane$PermissonsSection which was added in change 34213 by
Archit.  There is an explicit check for whether the category is root
or not.  If it is, the permission section is not displayed.  We can
ask Archit if he remembers why this special treatment of the root
category was necessary.

I tried removing this special-case treatment (see the patch).  The
result looks pretty funky.  (Screenshots to follow.)  Since there
doesn't seem to be a one-line fix for this, I'm not going to spend any
more time on this today.  (I just thought I'd try.)

Comment 3 Vadim Nasardinov 2004-03-03 15:15:49 UTC
Created attachment 98242 [details]
screenshot of the permission section for a non-root category

Comment 4 Vadim Nasardinov 2004-03-03 15:17:13 UTC
Created attachment 98243 [details]
screenshot of the permission section for a root category

Compare this to attachment 98242 [details] and note the extra panel and a search
widget at the bottom.

Comment 5 Nobuko Asakai 2004-03-03 15:40:59 UTC
Vadim,

I'm not sure I understand. with attachment 98243 [details] there's two
permissions sections and two search boxes? 

Nobuko

Comment 6 Vadim Nasardinov 2004-03-03 15:53:14 UTC
I overstated my case a little bit.  Correction:

attachment 98242 [details] has one search widget and one permissions section.
attachment 98243 [details] has one search widget and two permissions sections.


Comment 7 Jon Orris 2006-09-05 17:52:26 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.